
Auto Multiple Choice - Feature # 19: Option to allow the use of Unicode filenames for regrouped PDF

Status: Closed Priority: Normal
Author: Hiroto Kagotani Category:
Created: 03/20/2012 Assignee:
Updated: 04/01/2012 Due date:
Description: When generating annotated answer sheets regrouped for each student, non-simple characters are all 

converted to `_'.  This causes all non-European names looks like ______.

Since most modern filesystems support Unicode filenames, filename simplification should be an option.  
Ideally, it would be nice if whitespaces could also be used.

History
03/20/2012 09:55 am - Hiroto Kagotani
Uh, some text formatting worked unexpectedly.
I mean, Japanese student names are represented as:
<pre>
0001-______.pdf
</pre>

03/20/2012 11:25 am - Alexis Bienvenüe
- Target version set to 1.1.0

> Since most modern filesystems support Unicode filenames, filename simplification should be an option.

I agree with you.

> @0001-______.pdf@

I think this is because the "file name model" was empty. In this case, the default model is used, which is @(N)-(ID).pdf@, where @(N)@ is replaced by 
the copy number, and @(ID)@ by the students name.

03/20/2012 09:57 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in revision r940.

04/01/2012 09:35 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed

04/17/2024 1/1


